net.i2p.router.transport.udp

## Enum InboundEstablishState.InboundState

- java.lang.Object
- - java.lang.Enum<InboundEstablishState.InboundState>
  - - net.i2p.router.transport.udp.InboundEstablishState.InboundState

- All Implemented Interfaces:
    Serializable, Comparable<InboundEstablishState.InboundState>
  Enclosing class:
    InboundEstablishState

      public static enum InboundEstablishState.InboundState
      extends Enum<InboundEstablishState.InboundState>

  States for inbound SSU session establishment. Tracks the progression of incoming connection setup.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IB_STATE_COMPLETE` we are explicitly failing it
    `IB_STATE_CONFIRMED_COMPLETELY` we have received one but not all the confirmation packets - never happens in practice - see below.
    `IB_STATE_CONFIRMED_PARTIALLY` we have sent a signed creation packet
    `IB_STATE_CREATED_SENT` we have received an initial request
    `IB_STATE_FAILED` we have all the confirmation packets
    `IB_STATE_REQUEST_BAD_TOKEN_RECEIVED` SSU2: We have received a request but the token is bad
    `IB_STATE_REQUEST_RECEIVED` nothin' known yet
    `IB_STATE_RETRY_SENT` SSU2: We have sent a retry
    `IB_STATE_TOKEN_REQUEST_RECEIVED` SSU2: We have received a token request
    `IB_STATE_UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InboundEstablishState.InboundState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InboundEstablishState.InboundState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IB_STATE_COMPLETE

          public static final InboundEstablishState.InboundState IB_STATE_COMPLETE

      we are explicitly failing it

    - #### IB_STATE_CONFIRMED_COMPLETELY

          public static final InboundEstablishState.InboundState IB_STATE_CONFIRMED_COMPLETELY

      we have received one but not all the confirmation packets - never happens in practice - see below.

    - #### IB_STATE_CONFIRMED_PARTIALLY

          public static final InboundEstablishState.InboundState IB_STATE_CONFIRMED_PARTIALLY

      we have sent a signed creation packet

    - #### IB_STATE_CREATED_SENT

          public static final InboundEstablishState.InboundState IB_STATE_CREATED_SENT

      we have received an initial request

    - #### IB_STATE_FAILED

          public static final InboundEstablishState.InboundState IB_STATE_FAILED

      we have all the confirmation packets

    - #### IB_STATE_REQUEST_BAD_TOKEN_RECEIVED

          public static final InboundEstablishState.InboundState IB_STATE_REQUEST_BAD_TOKEN_RECEIVED

      SSU2: We have received a request but the token is bad

    - #### IB_STATE_REQUEST_RECEIVED

          public static final InboundEstablishState.InboundState IB_STATE_REQUEST_RECEIVED

      nothin' known yet

    - #### IB_STATE_RETRY_SENT

          public static final InboundEstablishState.InboundState IB_STATE_RETRY_SENT

      SSU2: We have sent a retry

    - #### IB_STATE_TOKEN_REQUEST_RECEIVED

          public static final InboundEstablishState.InboundState IB_STATE_TOKEN_REQUEST_RECEIVED

      SSU2: We have received a token request

    - #### IB_STATE_UNKNOWN

          public static final InboundEstablishState.InboundState IB_STATE_UNKNOWN

  - ### Method Detail

    - #### valueOf

          public static InboundEstablishState.InboundState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static InboundEstablishState.InboundState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InboundEstablishState.InboundState c : InboundEstablishState.InboundState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared